ContentKeyPoliciesOperations Class

Warning

DO NOT instantiate this class directly.

Instead, you should access the following operations through

AzureMediaServices's

<xref:content_key_policies> attribute.

Inheritance
builtins.object
ContentKeyPoliciesOperations

Constructor

ContentKeyPoliciesOperations(*args, **kwargs)

Methods

create_or_update

Create or update an Content Key Policy.

Create or update a Content Key Policy in the Media Services account.

delete

Delete a Content Key Policy.

Deletes a Content Key Policy in the Media Services account.

get

Get a Content Key Policy.

Get the details of a Content Key Policy in the Media Services account.

get_policy_properties_with_secrets

Get a Content Key Policy with secrets.

Get a Content Key Policy including secret values.

list

List Content Key Policies.

Lists the Content Key Policies in the account.

update

Update a Content Key Policy.

Updates an existing Content Key Policy in the Media Services account.

create_or_update

Create or update an Content Key Policy.

Create or update a Content Key Policy in the Media Services account.

async create_or_update(resource_group_name: str, account_name: str, content_key_policy_name: str, parameters: azure.mgmt.media.models._models_py3.ContentKeyPolicy, **kwargs: Any) -> azure.mgmt.media.models._models_py3.ContentKeyPolicy

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

content_key_policy_name
str
Required

The Content Key Policy name.

parameters
ContentKeyPolicy
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

ContentKeyPolicy, or the result of cls(response)

Return type

Exceptions

delete

Delete a Content Key Policy.

Deletes a Content Key Policy in the Media Services account.

async delete(resource_group_name: str, account_name: str, content_key_policy_name: str, **kwargs: Any) -> None

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

content_key_policy_name
str
Required

The Content Key Policy name.

cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

get

Get a Content Key Policy.

Get the details of a Content Key Policy in the Media Services account.

async get(resource_group_name: str, account_name: str, content_key_policy_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.ContentKeyPolicy

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

content_key_policy_name
str
Required

The Content Key Policy name.

cls
callable

A custom type or function that will be passed the direct response

Returns

ContentKeyPolicy, or the result of cls(response)

Return type

Exceptions

get_policy_properties_with_secrets

Get a Content Key Policy with secrets.

Get a Content Key Policy including secret values.

async get_policy_properties_with_secrets(resource_group_name: str, account_name: str, content_key_policy_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.ContentKeyPolicyProperties

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

content_key_policy_name
str
Required

The Content Key Policy name.

cls
callable

A custom type or function that will be passed the direct response

Returns

ContentKeyPolicyProperties, or the result of cls(response)

Return type

Exceptions

list

List Content Key Policies.

Lists the Content Key Policies in the account.

list(resource_group_name: str, account_name: str, filter: Optional[str] = None, top: Optional[int] = None, orderby: Optional[str] = None, **kwargs: Any) -> AsyncIterable[azure.mgmt.media.models._models_py3.ContentKeyPolicyCollection]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

filter
str
Required

Restricts the set of items returned. Default value is None.

top
int
Required

Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n. Default value is None.

orderby
str
Required

Specifies the key by which the result collection should be ordered. Default value is None.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either ContentKeyPolicyCollection or the result of cls(response)

Return type

Exceptions

update

Update a Content Key Policy.

Updates an existing Content Key Policy in the Media Services account.

async update(resource_group_name: str, account_name: str, content_key_policy_name: str, parameters: azure.mgmt.media.models._models_py3.ContentKeyPolicy, **kwargs: Any) -> azure.mgmt.media.models._models_py3.ContentKeyPolicy

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

content_key_policy_name
str
Required

The Content Key Policy name.

parameters
ContentKeyPolicy
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

ContentKeyPolicy, or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.media.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\media\\models\\__init__.py'>